<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.12"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eduRayTracer: Vertex Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eduRayTracer
   &#160;<span id="projectnumber">v_2017_2018_1</span>
   </div>
   <div id="projectbrief">An Educational Ray Tracing Software Package (by Pedro Santana, ISCTE-IUL)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.12 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_vertex.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_vertex-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Vertex Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A class to create and manipulate 3D vertexes.  
 <a href="class_vertex.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_vertex_8hpp_source.html">Vertex.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a6332c587d567181ce2a8a91d380b6fc2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_vertex.html#a6332c587d567181ce2a8a91d380b6fc2">Vertex</a> (<a class="el" href="class_vec.html">Vec</a> _o)</td></tr>
<tr class="memdesc:a6332c587d567181ce2a8a91d380b6fc2"><td class="mdescLeft">&#160;</td><td class="mdescRight">A <a class="el" href="class_vertex.html" title="A class to create and manipulate 3D vertexes. ">Vertex</a> constructor without texture coordinates.  <a href="#a6332c587d567181ce2a8a91d380b6fc2">More...</a><br /></td></tr>
<tr class="separator:a6332c587d567181ce2a8a91d380b6fc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5fd9b77c6083e5a7e08550eb1cfe848"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_vertex.html#ad5fd9b77c6083e5a7e08550eb1cfe848">Vertex</a> (<a class="el" href="class_vec.html">Vec</a> _o, <a class="el" href="class_vec.html">Vec</a> _tex_coord)</td></tr>
<tr class="memdesc:ad5fd9b77c6083e5a7e08550eb1cfe848"><td class="mdescLeft">&#160;</td><td class="mdescRight">A <a class="el" href="class_vertex.html" title="A class to create and manipulate 3D vertexes. ">Vertex</a> constructor with texture coordinates.  <a href="#ad5fd9b77c6083e5a7e08550eb1cfe848">More...</a><br /></td></tr>
<tr class="separator:ad5fd9b77c6083e5a7e08550eb1cfe848"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97488994a2482d70da74e1b91d40e169"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_vertex.html#a97488994a2482d70da74e1b91d40e169">Vertex</a> ()</td></tr>
<tr class="separator:a97488994a2482d70da74e1b91d40e169"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0910d793f80561fbf49e8a81be889afc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_vertex.html#a0910d793f80561fbf49e8a81be889afc">transform</a> (<a class="el" href="class_transform.html">Transform</a> *tf)</td></tr>
<tr class="separator:a0910d793f80561fbf49e8a81be889afc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ac8b579bc65f2832530987cae7bca5c3e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_vec.html">Vec</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_vertex.html#ac8b579bc65f2832530987cae7bca5c3e">local_o</a></td></tr>
<tr class="memdesc:ac8b579bc65f2832530987cae7bca5c3e"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_vertex.html" title="A class to create and manipulate 3D vertexes. ">Vertex</a>'s position in the local frame of reference (computed elsewhere)  <a href="#ac8b579bc65f2832530987cae7bca5c3e">More...</a><br /></td></tr>
<tr class="separator:ac8b579bc65f2832530987cae7bca5c3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af633aabbd5adf4a3c59b32e87816ebbe"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_vec.html">Vec</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_vertex.html#af633aabbd5adf4a3c59b32e87816ebbe">o</a></td></tr>
<tr class="memdesc:af633aabbd5adf4a3c59b32e87816ebbe"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_vertex.html" title="A class to create and manipulate 3D vertexes. ">Vertex</a>'s position in the global frame of reference - updated with <a class="el" href="class_vertex.html#a0910d793f80561fbf49e8a81be889afc">transform()</a>  <a href="#af633aabbd5adf4a3c59b32e87816ebbe">More...</a><br /></td></tr>
<tr class="separator:af633aabbd5adf4a3c59b32e87816ebbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a749a6f6b57ce11fda6ce662619351939"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_vec.html">Vec</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_vertex.html#a749a6f6b57ce11fda6ce662619351939">local_n</a></td></tr>
<tr class="memdesc:a749a6f6b57ce11fda6ce662619351939"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_vertex.html" title="A class to create and manipulate 3D vertexes. ">Vertex</a>'s associated normal in the local frame of reference (computed elsewhere)  <a href="#a749a6f6b57ce11fda6ce662619351939">More...</a><br /></td></tr>
<tr class="separator:a749a6f6b57ce11fda6ce662619351939"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5c064cd79d633ab294dd6623da86163"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_vec.html">Vec</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_vertex.html#ad5c064cd79d633ab294dd6623da86163">n</a></td></tr>
<tr class="memdesc:ad5c064cd79d633ab294dd6623da86163"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_vertex.html" title="A class to create and manipulate 3D vertexes. ">Vertex</a>'s associated normal in the global frame of reference - updated with <a class="el" href="class_vertex.html#a0910d793f80561fbf49e8a81be889afc">transform()</a>  <a href="#ad5c064cd79d633ab294dd6623da86163">More...</a><br /></td></tr>
<tr class="separator:ad5c064cd79d633ab294dd6623da86163"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b05126ac048975668016c73345e01b1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_vec.html">Vec</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_vertex.html#a7b05126ac048975668016c73345e01b1">tex_coord</a></td></tr>
<tr class="memdesc:a7b05126ac048975668016c73345e01b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">2D texture coordinates of the <a class="el" href="class_vertex.html" title="A class to create and manipulate 3D vertexes. ">Vertex</a> (don't care about the 3rd coordinate of the <a class="el" href="class_vec.html" title="A class to create and manipulate 3D vectors. These can be used to store positions, normals, and RGB triplets. ">Vec</a>)  <a href="#a7b05126ac048975668016c73345e01b1">More...</a><br /></td></tr>
<tr class="separator:a7b05126ac048975668016c73345e01b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A class to create and manipulate 3D vertexes. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a6332c587d567181ce2a8a91d380b6fc2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6332c587d567181ce2a8a91d380b6fc2">&sect;&nbsp;</a></span>Vertex() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Vertex::Vertex </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_vec.html">Vec</a>&#160;</td>
          <td class="paramname"><em>_o</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A <a class="el" href="class_vertex.html" title="A class to create and manipulate 3D vertexes. ">Vertex</a> constructor without texture coordinates. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">_o</td><td>3D location of the vertex in the object's frame of reference </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ad5fd9b77c6083e5a7e08550eb1cfe848"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5fd9b77c6083e5a7e08550eb1cfe848">&sect;&nbsp;</a></span>Vertex() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Vertex::Vertex </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_vec.html">Vec</a>&#160;</td>
          <td class="paramname"><em>_o</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_vec.html">Vec</a>&#160;</td>
          <td class="paramname"><em>_tex_coord</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A <a class="el" href="class_vertex.html" title="A class to create and manipulate 3D vertexes. ">Vertex</a> constructor with texture coordinates. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">_o</td><td>3D location of the <a class="el" href="class_vertex.html" title="A class to create and manipulate 3D vertexes. ">Vertex</a> in the local frame of reference </td></tr>
    <tr><td class="paramname">_tex_coord</td><td>2D texture coordinates of the <a class="el" href="class_vertex.html" title="A class to create and manipulate 3D vertexes. ">Vertex</a> (don't care about the 3rd coordinate of the <a class="el" href="class_vec.html" title="A class to create and manipulate 3D vectors. These can be used to store positions, normals, and RGB triplets. ">Vec</a>) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a97488994a2482d70da74e1b91d40e169"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97488994a2482d70da74e1b91d40e169">&sect;&nbsp;</a></span>Vertex() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Vertex::Vertex </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a0910d793f80561fbf49e8a81be889afc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0910d793f80561fbf49e8a81be889afc">&sect;&nbsp;</a></span>transform()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Vertex::transform </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_transform.html">Transform</a> *&#160;</td>
          <td class="paramname"><em>tf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Transforms the vertex's location and normal vectors from the local frame of reference to the global frame of reference, according to a given <a class="el" href="class_transform.html" title="A class to handle rigid transformations. ">Transform</a> object</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">tf</td><td>Pointer to a <a class="el" href="class_transform.html" title="A class to handle rigid transformations. ">Transform</a> object. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a749a6f6b57ce11fda6ce662619351939"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a749a6f6b57ce11fda6ce662619351939">&sect;&nbsp;</a></span>local_n</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_vec.html">Vec</a> Vertex::local_n</td>
        </tr>
      </table>
</div><div class="memdoc">

<p><a class="el" href="class_vertex.html" title="A class to create and manipulate 3D vertexes. ">Vertex</a>'s associated normal in the local frame of reference (computed elsewhere) </p>

</div>
</div>
<a id="ac8b579bc65f2832530987cae7bca5c3e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8b579bc65f2832530987cae7bca5c3e">&sect;&nbsp;</a></span>local_o</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_vec.html">Vec</a> Vertex::local_o</td>
        </tr>
      </table>
</div><div class="memdoc">

<p><a class="el" href="class_vertex.html" title="A class to create and manipulate 3D vertexes. ">Vertex</a>'s position in the local frame of reference (computed elsewhere) </p>

</div>
</div>
<a id="ad5c064cd79d633ab294dd6623da86163"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5c064cd79d633ab294dd6623da86163">&sect;&nbsp;</a></span>n</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_vec.html">Vec</a> Vertex::n</td>
        </tr>
      </table>
</div><div class="memdoc">

<p><a class="el" href="class_vertex.html" title="A class to create and manipulate 3D vertexes. ">Vertex</a>'s associated normal in the global frame of reference - updated with <a class="el" href="class_vertex.html#a0910d793f80561fbf49e8a81be889afc">transform()</a> </p>

</div>
</div>
<a id="af633aabbd5adf4a3c59b32e87816ebbe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af633aabbd5adf4a3c59b32e87816ebbe">&sect;&nbsp;</a></span>o</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_vec.html">Vec</a> Vertex::o</td>
        </tr>
      </table>
</div><div class="memdoc">

<p><a class="el" href="class_vertex.html" title="A class to create and manipulate 3D vertexes. ">Vertex</a>'s position in the global frame of reference - updated with <a class="el" href="class_vertex.html#a0910d793f80561fbf49e8a81be889afc">transform()</a> </p>

</div>
</div>
<a id="a7b05126ac048975668016c73345e01b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b05126ac048975668016c73345e01b1">&sect;&nbsp;</a></span>tex_coord</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_vec.html">Vec</a> Vertex::tex_coord</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>2D texture coordinates of the <a class="el" href="class_vertex.html" title="A class to create and manipulate 3D vertexes. ">Vertex</a> (don't care about the 3rd coordinate of the <a class="el" href="class_vec.html" title="A class to create and manipulate 3D vectors. These can be used to store positions, normals, and RGB triplets. ">Vec</a>) </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="_vertex_8hpp_source.html">Vertex.hpp</a></li>
<li>src/<a class="el" href="_vertex_8cpp.html">Vertex.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_vertex.html">Vertex</a></li>
    <li class="footer">Generated on Fri Sep 15 2017 15:54:23 for eduRayTracer by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.12 </li>
  </ul>
</div>
</body>
</html>
